# coding: utf-8
# Copyright (c) Foxit Software Inc..
# use pod 'FSFoundation', :path=>'./{your path}/FSFoundation.podspec'
# If uiextensionsDynamic has already been imported, then only pod 'FSFoundation/Headers', :path=>'./{your path}/ FSFoundation.podspec '
  

Pod::Spec.new do |s|
  s.name             = 'FSFoundation'
  s.version          = '0.0.1'
  s.summary          = 'Better code'
  s.author           = 'Foxit Software Incorporated'
  s.homepage         = 'https://developers.foxitsoftware.com/pdf-sdk/ios/'
  s.platform         = :ios, '10.0'
  s.license          = 'MIT'
  s.source           = { :git => '' }
  s.default_subspec  = "Source"
  s.frameworks = 'QuartzCore', 'UIKit'

  s.subspec 'Source' do |ss|
    ss.source_files  = 'FSFoundation/**/*.{h,m}'
    ss.public_header_files =  'FSFoundation/**/*.h'
    ss.dependency 'Masonry'
    ss.dependency 'YZHookHandler'
  end
  
  s.subspec 'Headers' do |ss|
    ss.source_files  =  'FSFoundation/**/*.h','UIExtensions/Thirdparties/YZHookHandler/*.h','UIExtensions/Thirdparties/Masonry/*.h'
    ss.public_header_files =  'FSFoundation/**/*.h','UIExtensions/Thirdparties/YZHookHandler/*.h','UIExtensions/Thirdparties/Masonry/*.h'
    ss.dependency 'FoxitPDF/uiextensionsDynamic'
  end
end

