/**
* Copyright (C) 2003-2025, Foxit Software Inc..
* All Rights Reserved.
*
* http://www.foxitsoftware.com
*
* The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
* distribute any parts of Foxit PDF SDK for iOS to third party or public without permission unless an agreement
* is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
* Review legal.txt for additional license and legal information.
*/

#ifndef FSAddPackage_h
#define FSAddPackage_h

#if __has_include(<FSFoundation/FSFoundation.h>)

#import <FSFoundation/Masonry+FSAdd.h>

#import <FSFoundation/UIColor+FSAdd.h>
#import <FSFoundation/UIViewController+FSAdd.h>
#import <FSFoundation/UIAlertController+FSAdd.h>
#import <FSFoundation/UIView+FSAdd.h>
#import <FSFoundation/UIScrollView+FSAdd.h>
#import <FSFoundation/UITableView+FSAdd.h>
#import <FSFoundation/UIImage+FSAdd.h>
#import <FSFoundation/UISlider+FSAdd.h>

#import <FSFoundation/NSObject+FSAddForKVO.h>
#import <FSFoundation/NSObject+FSAdd.h>
#import <FSFoundation/NSDate+FSAdd.h>
#import <FSFoundation/NSObject+FSAddCoder.h>

#else
#import "Masonry+FSAdd.h"

#import "UIColor+FSAdd.h"
#import "UIViewController+FSAdd.h"
#import "UIAlertController+FSAdd.h"
#import "UIView+FSAdd.h"
#import "UIScrollView+FSAdd.h"
#import "UITableView+FSAdd.h"
#import "UIImage+FSAdd.h"
#import "UISlider+FSAdd.h"

#import "NSObject+FSAddForKVO.h"
#import "NSObject+FSAdd.h"
#import "NSDate+FSAdd.h"
#import "NSObject+FSAddCoder.h"
#endif

#endif /* FSCategoryPackage_h */
