/**
* Copyright (C) 2003-2025, Foxit Software Inc..
* All Rights Reserved.
*
* http://www.foxitsoftware.com
*
* The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
* distribute any parts of Foxit PDF SDK for iOS to third party or public without permission unless an agreement
* is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
* Review legal.txt for additional license and legal information.
*/

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface NSString (FSAdd)

- (BOOL)fs_isExist;
- (BOOL)fs_isImage;
- (BOOL)fs_isMarkdown;
- (BOOL)fs_isNumber;

- (NSString *)fs_fileName;

- (NSString *)fs_firstLetter;

- (NSString *)fs_stringByTrim;

- (NSString *)fs_stringByTrimOccurrences:(NSString *)occurrences;

@end

NS_ASSUME_NONNULL_END
