/**
 * Copyright (C) 2003-2025, Foxit Software Inc..
 * All Rights Reserved.
 *
 * http://www.foxitsoftware.com
 *
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit PDF SDK for iOS to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */

#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

@interface UIScrollView (FSAdd)

@property (nonatomic, setter=fs_setOffsetY:)    CGFloat fs_offsetY;
@property (nonatomic, setter=fs_setOffsetX:)     CGFloat fs_offsetX;

- (void)fs_scrollToTop;

- (void)fs_scrollToBottom;

- (void)fs_scrollToLeft;

- (void)fs_scrollToRight;

- (void)fs_scrollToTopAnimated:(BOOL)animated;

- (void)fs_scrollToBottomAnimated:(BOOL)animated;

- (void)fs_scrollToLeftAnimated:(BOOL)animated;

- (void)fs_scrollToRightAnimated:(BOOL)animated;

@end

NS_ASSUME_NONNULL_END
