/**
* Copyright (C) 2003-2025, Foxit Software Inc..
* All Rights Reserved.
*
* http://www.foxitsoftware.com
*
* The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
* distribute any parts of Foxit PDF SDK for iOS to third party or public without permission unless an agreement
* is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
* Review legal.txt for additional license and legal information.
*/

#ifndef FSFoundation_h
#define FSFoundation_h

#import <UIKit/UIKit.h>
#import <Foundation/Foundation.h>

#if __has_include(<FSFoundation/FSFoundation.h>)
#import <FSFoundation/FSConst.h>
#import <FSFoundation/FSMacro.h>
#import <FSFoundation/FSAddPackage.h>
#import <FSFoundation/FSPresentedViewControllerAnimator.h>
#import <FSFoundation/FSViewControllerServicesImpl.h>
#import <FSFoundation/FSTaskServer.h>
#import <FSFoundation/FSGCDServer.h>
#import <FSFoundation/FSPreferences.h>
#import <FSFoundation/FSFPSMonitor.h>
#import <FSFoundation/FSMessageThrottle.h>
#import <FSFoundation/FSSubstituteProxy.h>
#import <FSFoundation/FSWeakPointerArray.h>

#import <FSFoundation/FSItem.h>
#import <FSFoundation/FSToolbar.h>
#import <FSFoundation/FSNavigationBar.h>
#import <FSFoundation/FSCornerRadiusStackView.h>

#import <FSFoundation/FSNavigationController.h>
#import <FSFoundation/FSViewController.h>
#import <FSFoundation/FSTableViewController.h>
#import <FSFoundation/FSSearchViewController.h>
#import <FSFoundation/FSTableViewPopoverController.h>
#import <FSFoundation/FSCollectionViewController.h>

#else
#import "FSConst.h"
#import "FSMacro.h"
#import "FSAddPackage.h"
#import "FSPresentedViewControllerAnimator.h"
#import "FSViewControllerServicesImpl.h"
#import "FSTaskServer.h"
#import "FSGCDServer.h"
#import "FSPreferences.h"
#import "FSFPSMonitor.h"
#import "FSMessageThrottle.h"
#import "FSSubstituteProxy.h"
#import "FSWeakPointerArray.h"

#import "FSItem.h"
#import "FSToolbar.h"
#import "FSNavigationBar.h"
#import "FSCornerRadiusStackView.h"

#import "FSNavigationController.h"
#import "FSViewController.h"
#import "FSTableViewController.h"
#import "FSSearchViewController.h"
#import "FSTableViewPopoverController.h"
#import "FSCollectionViewController.h"

#endif

#if __has_include(<YZHookHandler/YZHookHandler.h>)
#import <YZHookHandler/YZHookHandler.h>
#else
#import "YZHookHandler.h"
#endif



#endif /* YZPrefixHeader_pch */
