/**
 * Copyright (C) 2003-2025, Foxit Software Inc..
 * All Rights Reserved.
 *
 * http://www.foxitsoftware.com
 *
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit PDF SDK for iOS to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */

#ifndef FSPermissionProvider_Private_h
#define FSPermissionProvider_Private_h

#import "FSPermissionProvider.h"

@interface FSPermissionProvider : NSObject<IFSPermissionProvider>
@property (nonatomic, assign) BOOL hiddenBookmakr;

- (void) checkPermission:(FSFunction)function checkPermissionState:(CheckPermissionState)checkPermissionState;

- (FSPermissionState) checkPermission:(FSFunction)function;
@end

#endif /* FSPermissionProvider_Private_h */
