/**
 * Copyright (C) 2003-2025, Foxit Software Inc..
 * All Rights Reserved.
 *
 * http://www.foxitsoftware.com
 *
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit PDF SDK for iOS to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */

#import "FSViewController.h"

NS_ASSUME_NONNULL_BEGIN

@interface FSTextViewPopoverViewController : FSViewController

@property (nonatomic, copy) NSString *text;

@property (nonatomic, copy) VoidBlock_string didClickedOK;
@property (nonatomic, assign) BOOL didClickedOKWithDismissSelf;
@property (nonatomic, assign) UIExtensionsManager *extensionsMgr;
@property (nonatomic, copy) BoolBlock_string okItemEnabled;

@end

NS_ASSUME_NONNULL_END
