/**
 * Copyright (C) 2003-2025, Foxit Software Inc..
 * All Rights Reserved.
 *
 * http://www.foxitsoftware.com
 *
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit PDF SDK for iOS to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */

#ifndef UIExtensionsConfig_private_h
#define UIExtensionsConfig_private_h

#import <uiextensionsDynamic/uiextensionsDynamic.h>

@interface UIExtensionsConfig ()

+ (NSSet<NSString *> *) annotTools;
@property (nonatomic, assign) BOOL hasAnnotTools;

- (BOOL)isToolEnabled:(NSString *)tool;
- (BOOL)canInteractWithAnnot:(FSAnnot *)annot;
- (BOOL)canInteractWithAnnotType:(FSAnnotType)annotype;
@end

#endif /* UIExtensionsConfig_private_h */
