/**
* Copyright (C) 2003-2025, Foxit Software Inc..
* All Rights Reserved.
*
* http://www.foxitsoftware.com
*
* The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
* distribute any parts of Foxit PDF SDK for iOS to third party or public without permission unless an agreement
* is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
* Review legal.txt for additional license and legal information.
*/

#import <UIKit/UIKit.h>

@class ComparisonViewController;

typedef void (^ComparisonCancelHandler)(ComparisonViewController *controller);
typedef void (^ComparisonDoneHandler)(ComparisonViewController *controller,NSMutableDictionary *comparisonOptionResult);

@interface ComparisonViewController : UIViewController

@property (nonatomic, strong) NSMutableArray *selectedFileArr;
@property (nonatomic, strong) NSMutableDictionary *selectedFilePwdDict;

@property (copy, nonatomic) ComparisonCancelHandler cancelHandler;
@property (copy, nonatomic) ComparisonDoneHandler doneHandler;

@end
