/**
 * Copyright (C) 2003-2025, Foxit Software Inc..
 * All Rights Reserved.
 *
 * http://www.foxitsoftware.com
 *
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit PDF SDK for iOS to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */

#import <Foundation/Foundation.h>
#import "FillSignToolHandler.h"

@class FillSignMenu;
@interface FillSignModule : NSObject <IDocEventListener, IToolEventListener, IModule>
@property (nonatomic, strong) FillSignMenu *fillSignMenu;
@property (nonatomic, strong) FillSignToolHandler *fillSignToolHandler;
- (instancetype)initWithUIExtensionsManager:(UIExtensionsManager *)extensionsManager;

- (NSString *)getPreDefineStr;
- (NSArray *)getPreDefineContentArray;
- (void)cancelSelectItem;
- (BOOL)canAddFillSign;
- (void)deactiveFillSign;
@end
