/**
 * Copyright (C) 2003-2025, Foxit Software Inc..
 * All Rights Reserved.
 *
 * http://www.foxitsoftware.com
 *
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit PDF SDK for iOS to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */

#import "SignatureAppearanceModel.h"

@implementation SignatureAppearanceModel

- (instancetype)initWithAppearance:(BOOL)select name:(NSString *) name{
    self = [super init];
    if (self) {
        self.select = select;
        self.name = name;
    }
    return self;
}
- (instancetype)initWithAppearanceOpen:(BOOL)isOpen name:(NSString *) name{
    self = [super init];
    if (self) {
        self.isOpen = isOpen;
        self.name = name;
    }
    return self;
}
@end
