/**
 * Copyright (C) 2003-2025, Foxit Software Inc..
 * All Rights Reserved.
 *
 * http://www.foxitsoftware.com
 *
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit PDF SDK for iOS to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */

#import "FSTableViewController.h"

@class UIExtensionsManager;
@protocol SignatureAppearanceTitleDelegate <NSObject>
- (void)titleBack:(NSString *) titleName;
@end
@interface SignatureAppearanceTitleViewController : FSTableViewController

@property (nonatomic, weak) UIExtensionsManager *extensionsManager;
@property (nonatomic, strong) NSString *titleName;
@property (nonatomic, weak) id<SignatureAppearanceTitleDelegate> delegate;
- (instancetype)initWithUIExtensionsManager:(UIExtensionsManager *)extensionsManager;
- (instancetype)initWithUIExtensionsManager:(UIExtensionsManager *)extensionsManager title:(NSString *) titleName editedTitle:editedTitle;
@end

