/**
 * Copyright (C) 2003-2025, Foxit Software Inc..
 * All Rights Reserved.
 *
 * http://www.foxitsoftware.com
 *
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit PDF SDK for iOS to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */

#import <Foundation/Foundation.h>

#define SETTING_TITLE_SIGNATURE @"Title_Signature"
#define SETTING_RECENT_TITLE_SIGNATURE @"Recent_Title_Signature"
@interface TitleSignatureAppearanceData : NSObject

+ (NSMutableArray *)getTitleSignatureData;

+ (int)getTitleSignatureDataCount;

+ (AnnotationSignature *)getTitleSignatureDataByKey:(NSString *) title;

+ (NSMutableArray *)getTitleSignatureNames;

+ (BOOL)isTitleExits:(NSString *) title;

+ (void)insertTitleSignatureData:(NSArray *)array;

+ (void)insertRecentTitleSignatureData:(NSString *) title;

+ (NSString *)getRecentTitleSignature;

+(void)InternationalizeErrorTitle;

@end

