/**
 * Copyright (C) 2003-2025, Foxit Software Inc..
 * All Rights Reserved.
 *
 * http://www.foxitsoftware.com
 *
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit PDF SDK for iOS to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */

#import "FSHistoryDataCollectionCell.h"

@implementation FSHistoryDataCollectionCell

- (instancetype)initWithFrame:(CGRect)frame{
    self = [super initWithFrame:frame];
    if (self) {
        [self initialize];
    }
    return self;
}

- (void)initialize{
    [self addTitleLabel];
}

- (void)addTitleLabel{
    _titleLabel = [UILabel new];
    _titleLabel.textColor = self.fs_textColor_T8;
    _titleLabel.font = self.fs_standardGeneralFont_GF2;
    [self.contentView addSubview:_titleLabel];
}

@end
