/**
 * Copyright (C) 2003-2025, Foxit Software Inc..
 * All Rights Reserved.
 *
 * http://www.foxitsoftware.com
 *
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit PDF SDK for iOS to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */

#import <Foundation/Foundation.h>
#import "FSTableViewController.h"

#define kLinkSelectRow @"linkSelectRow"
#define kLinkPageIndex @"linkPageIndex"
#define kLinkWebAddr @"linkWebAddr"

NS_ASSUME_NONNULL_BEGIN

typedef void (^CancelActionBlock)(void);
typedef void (^DoneActionBlock)(NSDictionary *dict);

@interface FSLinkEditViewController : FSTableViewController

@property (nonatomic, copy)DoneActionBlock doneActionBlock;
@property (nonatomic, copy)CancelActionBlock cancelActionBlock;
@property (nonatomic, weak)UIExtensionsManager *extensionsMgr;
@property (nonatomic, strong)FSAnnot *linkAnnot;
@end

NS_ASSUME_NONNULL_END
