/**
 * Copyright (C) 2003-2025, Foxit Software Inc..
 * All Rights Reserved.
 *
 * http://www.foxitsoftware.com
 *
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit PDF SDK for iOS to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */

#ifndef PanelHost_private_h
#define PanelHost_private_h

#import "PanelHost.h"
#import "FSPagerView.h"

@interface PanelHost ()
@property (nonatomic, strong) FSToolbar *topBar;
@property (nonatomic, strong) FSTabPagerBar *tabPagerBar;
@property (nonatomic, strong) FSPagerView *pagerContentView;

- (instancetype)initWithExtensionsManager:(UIExtensionsManager *)extensionsManager panelController:(FSPanelController *)panelController;

@end


#endif /* PanelController_private_h */
