/**
 * Copyright (C) 2003-2025, Foxit Software Inc..
 * All Rights Reserved.
 *
 * http://www.foxitsoftware.com
 *
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit PDF SDK for iOS to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */

#ifndef RedactModule_Private_h
#define RedactModule_Private_h

#import "RedactModule.h"

@interface RedactModule ()
@property(nonatomic, assign) BOOL bCanRedact;
- (instancetype)initWithUIExtensionsManager:(UIExtensionsManager *)extensionsManager;
- (void)enterRedactionMode:(BOOL)flag;
- (FSAnnot *)addAnnotToPage:(int)pageIndex withRect:(FSRectF *)rect;
- (FSAnnot *)addAnnotToPage:(int)pageIndex withRect:(FSRectF *)rect  needQuads:(BOOL)needQuads;
@end
#endif /* RedactModule_Private_h */
