/**
 * Copyright (C) 2003-2025, Foxit Software Inc..
 * All Rights Reserved.
 *
 * http://www.foxitsoftware.com
 *
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit PDF SDK for iOS to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */

/** @brief UI controls for the text search tool. */
@interface SearchModule : NSObject <IDrawEventListener, IScrollViewEventListener, IGestureEventListener, IDocEventListener, UITableViewDelegate, UITableViewDataSource, UISearchBarDelegate, UIScrollViewDelegate, UIGestureRecognizerDelegate, IModule>

@property (nonatomic, assign) BOOL isRedactChoose;

- (instancetype)initWithUIExtensionsManager:(UIExtensionsManager *)extensionsManager;
- (void)showSearchBar:(BOOL)show;
- (void)seachText:(NSString *)seachText seachOption:(unsigned int)textSearchSearchFlags;

@end
