/**
 * Copyright (C) 2003-2025, Foxit Software Inc..
 * All Rights Reserved.
 *
 * http://www.foxitsoftware.com
 *
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit PDF SDK for iOS to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */



@interface UndoModule : NSObject <IFSUndoEventListener>
@property (nonatomic, copy, readonly) NSArray<FSMainToolbarItem *> *undoItems;
@property (nonatomic, copy, readonly) NSArray<FSMainToolbarItem *> *redoItems;
- (id)initWithUIExtensionsManager:(UIExtensionsManager *)extensionsManager;

- (BOOL)addUndoItem:(FSMainToolbarItem *)undoItem;
- (BOOL)addRedoItem:(FSMainToolbarItem *)redoItem;
@end
