/**
 * Copyright (C) 2003-2025, Foxit Software Inc..
 * All Rights Reserved.
 *
 * http://www.foxitsoftware.com
 *
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit PDF SDK for iOS to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */

import Foundation

class TabInfo {
    var path: String?
    var doc: FSPDFDoc?
    var PDFView: FSPDFViewCtrl?
    var uiextensions: UIExtensionsManager?
    
    init(path: String?, doc: FSPDFDoc?, PDFView: FSPDFViewCtrl?, uiextensions: UIExtensionsManager?) {
        self.path = path
        self.doc = doc
        self.PDFView = PDFView
        self.uiextensions = uiextensions
    }
}
