/**
 * Copyright (C) 2003-2025, Foxit Software Inc..
 * All Rights Reserved.
 *
 * http://www.foxitsoftware.com
 *
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit PDF SDK for iOS to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */

#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

typedef NS_ENUM(NSUInteger, FSCollectionCellCheckItemPosition) {
    FSCollectionCellCheckItemPositionDefault,
    FSCollectionCellCheckItemPositionTopLeft,
    FSCollectionCellCheckItemPositionTopRight,
};

@interface FSCollectionViewCell : UICollectionViewCell
@property (nonatomic, strong, readonly) FSItem *editItem;
@property (nonatomic, assign) BOOL customEditing;
@property (nonatomic, assign) FSCollectionCellCheckItemPosition checkPosition;
@end

NS_ASSUME_NONNULL_END
