/**
* Copyright (C) 2003-2025, Foxit Software Inc..
* All Rights Reserved.
*
* http://www.foxitsoftware.com
*
* The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
* distribute any parts of Foxit PDF SDK for iOS to third party or public without permission unless an agreement
* is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
* Review legal.txt for additional license and legal information.
*/

#if __has_include(<FSFoundation/FSFoundation.h>)
#import <FSFoundation/FSNavigationProtocol.h>
#else
#import "FSNavigationProtocol.h"
#endif

@class FSNavigationControllerStack;
@protocol FSViewControllerServices <NSObject, FSNavigationProtocol>

@property (nonatomic, weak) __kindof UIViewController *priorityController;
- (FSNavigationControllerStack *)navigationControllerStack;
@end
