/**
 * Copyright (C) 2003-2025, Foxit Software Inc..
 * All Rights Reserved.
 *
 * http://www.foxitsoftware.com
 *
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit PDF SDK for iOS to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */

#if __has_include(<FSFoundation/FSFoundation.h>)
#import <FSFoundation/FSSubjectEstimatedTableViewCell.h>
#else
#import "FSSubjectEstimatedTableViewCell.h"
#endif

NS_ASSUME_NONNULL_BEGIN

@interface FSDescriptionEstimatedTableViewCell : FSSubjectEstimatedTableViewCell

@property (nonatomic, strong, readonly, nonnull) UILabel *estimatedDescriptionLabel;

@property (nonatomic, assign) CGFloat descriptionBottomMargin;
@end

NS_ASSUME_NONNULL_END
