/**
 * Copyright (C) 2003-2025, Foxit Software Inc..
 * All Rights Reserved.
 *
 * http://www.foxitsoftware.com
 *
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit PDF SDK for iOS to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */

#import "FSSlider.h"

@implementation FSSlider

- (CGRect)trackRectForBounds:(CGRect)bounds{
    bounds.origin.x = 0;
    bounds.origin.y = bounds.size.height / 2 - 1;
    bounds.size.height = 2;
    bounds.size.width = bounds.size.width;
    return bounds;
}

- (CGRect)thumbRectForBounds:(CGRect)bounds trackRect:(CGRect)rect value:(float)value{
    CGRect thumbRectForBounds = [super thumbRectForBounds:bounds trackRect:rect value:value];
//    CGPoint center = CGPointMake(CGRectGetMidX(thumbRectForBounds), CGRectGetMidY(thumbRectForBounds));
//    thumbRectForBounds = CGRectMake2(center, CGSizeMake(18.f, 18.f));
    return thumbRectForBounds;
}

@end
