/**
* Copyright (C) 2003-2025, Foxit Software Inc..
* All Rights Reserved.
*
* http://www.foxitsoftware.com
*
* The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
* distribute any parts of Foxit PDF SDK for iOS to third party or public without permission unless an agreement
* is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
* Review legal.txt for additional license and legal information.
*/

#import "FSConst.h"

const FSFLOAT_TYPE ANIMATE_DURATION_NORMAL = 0.3;
const FSFLOAT_TYPE CHANGE_VALUE_BLOCK_INTERVAL = 0.3;
const FSFLOAT_TYPE PROGRESS_TIP_INFO_AFTER_HIDE_DELAY = 1.5;

const FSFLOAT_TYPE IMAGE_HIGHLIGHTED_ALPHA = 0.5;
const FSFLOAT_TYPE IMAGE_DISABLED_ALPHA = 0.42;
const FSFLOAT_TYPE LABEL_HIGHLIGHTED_ALPHA = 0.5;
const FSFLOAT_TYPE LABEL_DISABLED_ALPHA = 0.42;

const FSFLOAT_TYPE LAYER_BORDER_WIDTH_6 = 6;
const FSFLOAT_TYPE LAYER_BORDER_WIDTH_3 = 3;
const FSFLOAT_TYPE LAYER_BORDER_WIDTH_05 = 0.5;
const FSFLOAT_TYPE LAYER_BORDER_WIDTH_1 = 1;
const FSFLOAT_TYPE LAYER_BORDER_RADIUS_3 = 3.f;

const FSFLOAT_TYPE LANDSCAPE_PREFERENCE_BAR_WIDTH = 375.f;
const FSFLOAT_TYPE IPAD_PREFERENCE_BAR_WIDTH = 375.f;
const FSFLOAT_TYPE STATUS_BAR_HEIGHT_NORMAL = 20.f;
const FSFLOAT_TYPE TAB_BAR_HEIGHT_NORMAL = 49.f;
const FSFLOAT_TYPE TOOL_BAR_HEIGHT_NORMAL = 44.f;

const FSFLOAT_TYPE ITEM_ICON_WIDTH_NORMAL = 26.f;
const FSFLOAT_TYPE ITEM_TOP_ICON_MARGIN = 4.f;
const FSFLOAT_TYPE ITEM_MARGIN_SMALL = 5.f;
const FSFLOAT_TYPE ITEM_MARGIN_LITTLE_NORMAL = 10.f;
const FSFLOAT_TYPE ITEM_MARGIN_NORMAL = 16.f;
const FSFLOAT_TYPE ITEM_MARGIN_MEDIUM = 30.f;
const FSFLOAT_TYPE ITEM_LABEL_TOP_MARGIN_NORMAL = 16.f;
const FSFLOAT_TYPE ITEM_LABEL_BOTTOM_MARGIN_NORMAL = ITEM_LABEL_TOP_MARGIN_NORMAL;
const FSFLOAT_TYPE ITEM_LABEL_TOP_MARGIN_LARGE = 28.f;
const FSFLOAT_TYPE ITEM_LABEL_BOTTOM_MARGIN_LARGE = ITEM_LABEL_TOP_MARGIN_LARGE;
const FSFLOAT_TYPE ITEM_IMAGE_TOP_MARGIN_NORMAL = 14.f;
const FSFLOAT_TYPE ITEM_IMAGE_BOTTOM_MARGIN_NORMAL = ITEM_IMAGE_TOP_MARGIN_NORMAL;
const FSFLOAT_TYPE ITEM_LEFT_MARGIN_NORMAL = ITEM_MARGIN_NORMAL;
const FSFLOAT_TYPE ITEM_RIGHT_MARGIN_NORMAL = ITEM_LEFT_MARGIN_NORMAL;
const FSFLOAT_TYPE ITEM_MEDIUM_SPACE_NORMAL = 12.f;
const FSFLOAT_TYPE ITEM_BOTH_SPACE_NORMAL = 8.f;

const FSFLOAT_TYPE DIVIDE_TOOL_BAR_THICKNES = 0.5f;
const FSFLOAT_TYPE DIVIDE_VIEW_THICKNES = 1.f;
const FSFLOAT_TYPE DIVIDE_PROGRESS_HEIGHT = 2.f;
const FSFLOAT_TYPE DIVIDE_SECTION_HEADER_HEIGHT = 8.f;

const FSFLOAT_TYPE VIEW_TEMPORARY_SIZE_VALUE = 1024.f;
const FSFLOAT_TYPE TOOLBAR_ITEM_INVALID_MARGIN_VALUE = -1;

const FSFLOAT_TYPE PREFERENCE_GROUPED_PRIMARY_SECTION_HEADER_HEIGHT = 32.f;
const FSFLOAT_TYPE PREFERENCE_GROUPED_SECONDARY_SECTION_HEADER_HEIGHT = 24.f;
const FSFLOAT_TYPE PREFERENCE_CELL_ROW_HEIGHT_NORMAL = 50.f;
const FSFLOAT_TYPE PREFERENCE_MENU_CELL_ROW_HEIGHT_NORMAL = 54.f;
const FSFLOAT_TYPE PREFERENCE_CELL_ROW_HEIGHT_L_LARGER = 58.f;
const FSFLOAT_TYPE PREFERENCE_CELL_ROW_HEIGHT_V_LARGER = 64.f;
const FSFLOAT_TYPE PREFERENCE_CELL_ROW_HEIGHT_V_V_LAGER = 68.f;
const FSFLOAT_TYPE PREFERENCE_CELL_ROW_HEIGHT_V_V_V_GREAT = 80.f;

const FSFLOAT_TYPE TITLE_LABEL_MIN_HEIGHT = 22.f;
const FSFLOAT_TYPE SUBJECT_LABEL_MIN_HEIGHT = 14.f;
const FSFLOAT_TYPE DESCRIPTION_LABEL_MIN_HEIGHT = 18.f;

const FSFLOAT_TYPE COMMON_RIGHT_ICON_MARGINT = 4.f;
const FSFLOAT_TYPE TITLE_LEFT_ICON_MARGINT = 8.f;
const FSFLOAT_TYPE SUBJECT_LEFT_ICON_MARGINT = 12.f;
const FSFLOAT_TYPE POPOVER_LABEL_LEFT_ICON_MARGINT = 16.f;

const FSFLOAT_TYPE TITLE_LABEL_BOTTOM_MARGINT = 6.f;
const FSFLOAT_TYPE SUBJECT_LABEL_BOTTOM_MARGINT = 18.f;
const FSFLOAT_TYPE DESCRIPTION_LABEL_BOTTOM_MARGINT = ITEM_MEDIUM_SPACE_NORMAL;

const FSFLOAT_TYPE ESTIMATED_HORIZONTAL_HEUGGING_PRIORITY = 249.f;
const FSFLOAT_TYPE ESTIMATED_HORIZONTAL_COMPRESSION_RESISTANCE_PRIORITY = 749.f;

