/**
 * Copyright (C) 2003-2025, Foxit Software Inc..
 * All Rights Reserved.
 *
 * http://www.foxitsoftware.com
 *
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit PDF SDK for iOS to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */

#import <UIKit/UIKit.h>
#import "UIAlertController+FSAdd.h"

NS_ASSUME_NONNULL_BEGIN

@interface UIAlertController (Extensions)

+ (void)fs_alert_OK_WithTitle:(nullable NSString *)title message:(nullable NSString *)message onCtrl:(UIViewController *)ctrl;
+ (void)fs_alert_OK_WithTitle:(nullable NSString *)title message:(nullable NSString *)message actionBack:(nullable FSAlertActionCallBack)actionBack onCtrl:(UIViewController *)ctrl;

+ (void)fs_alert_OK_WithTitle:(nullable NSString *)title message:(nullable NSString *)message actionBack:(nullable FSAlertActionCallBack)actionBack onCurrentSceneResponder:(__kindof UIResponder *)responder;
@end

NS_ASSUME_NONNULL_END
