/**
 * Copyright (C) 2003-2025, Foxit Software Inc..
 * All Rights Reserved.
 *
 * http://www.foxitsoftware.com
 *
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit PDF SDK for iOS to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */

#import "FSTableViewController.h"

typedef NS_ENUM(NSUInteger, SummarizeType) {
    SummarizeTypeUnknow,
    SummarizeTypeDocumentAndComments,
    SummarizeTypeCommentsOnly
};

typedef void(^SummarizeTypeSelectBlock)(SummarizeType summarizeType);

NS_ASSUME_NONNULL_BEGIN

@interface FSSummarizeCommentsViewController : FSTableViewController
@property(nonatomic,copy) SummarizeTypeSelectBlock summarizeBlock;
@end

NS_ASSUME_NONNULL_END
