/**
 * Copyright (C) 2003-2025, Foxit Software Inc..
 * All Rights Reserved.
 *
 * http://www.foxitsoftware.com
 *
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit PDF SDK for iOS to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */

#import "FSCustomViewContainerController.h"

@interface FSCustomViewContainerController ()

@end

@implementation FSCustomViewContainerController

- (void)initialize{
    [super initialize];
    self.shouldShowNavigationBar = NO;
}

- (void)setViewBackgroundColor:(UIColor *)backgroundColor{
    if (self.view.backgroundColor == [UIColor clearColor]) {
        [super setViewBackgroundColor:backgroundColor];
    }
}

- (void)setView:(UIView *)view{
    [super setView:self.params];
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
