/**
 * Copyright (C) 2003-2025, Foxit Software Inc..
 * All Rights Reserved.
 *
 * http://www.foxitsoftware.com
 *
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit PDF SDK for iOS to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */

#import "FSMoreMenuViewController.h"

@interface FSMoreMenuViewController ()

@end

@implementation FSMoreMenuViewController

- (void)configureModalPresentationStyle{

    if (self.popoverShowStyle == FSTableViewPopoverShowStyleDefault) {
        UIExtensionsManager *ex = ((FSViewControllerManager *)self.services).extensionsManager;
        if (ex.pdfViewCtrl.fs_width > ex.pdfViewCtrl.fs_height) {
            self.popoverSize = CGSizeMake(ex.pdfViewCtrl.fs_height, 0);
        }else{
            self.popoverSize = CGSizeMake(ex.pdfViewCtrl.fs_width, 0);
        }
    }else{
        self.popoverSize = CGSizeMake(200, 0);
    }
    [super configureModalPresentationStyle];
}

@end
