/**
 * Copyright (C) 2003-2025, Foxit Software Inc..
 * All Rights Reserved.
 *
 * http://www.foxitsoftware.com
 *
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit PDF SDK for iOS to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

///** @brief The undo/redo listener. */
//@protocol IFSUndoEventListener <NSObject>
//@optional
///** @brief Triggered after the state of undo or redo changed. */
//- (void)onUndoChanged;
//- (void)onWillUndo;
//- (void)onDidUndo;
//- (void)onWillRedo;
//- (void)onDidRedo;
//@end

@interface FSPDFDocDatasModel : NSObject
@property (nonatomic, copy) NSString *filePath;
@property (nonatomic, weak) FSPDFDoc *pdfDoc;
- (instancetype)initWithDoc:(FSPDFDoc *)doc;
- (instancetype)initWithDoc:(FSPDFDoc *)doc flag:(NSString *)flag;
- (void)initialize;
@end


@interface FSUIExtensionsData : FSPDFDocDatasModel
//@property (nonatomic, strong) NSMutableArray<UndoItem *> *undoItems;
//@property (nonatomic, strong) NSMutableArray<UndoItem *> *redoItems;
//@property (nonatomic, strong) NSMutableArray<IFSUndoEventListener> *undoListeners;
@end


NS_ASSUME_NONNULL_END
