/**
 * Copyright (C) 2003-2025, Foxit Software Inc..
 * All Rights Reserved.
 *
 * http://www.foxitsoftware.com
 *
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit PDF SDK for iOS to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */

#import <UIKit/UIKit.h>

@interface PessmissionCell : UITableViewCell
@property(nonatomic,strong) UILabel *permissionLabel;
@property(nonatomic,strong) UILabel *allowLabel;
@end

// a table listing all pdf permissions
@interface PermissionViewController : FSTableViewController

@property (nonatomic, assign) BOOL allowOwner;
@property (nonatomic, assign) BOOL allowPrint;
@property (nonatomic, assign) BOOL allowFillForm;
@property (nonatomic, assign) BOOL allowAssemble;
@property (nonatomic, assign) BOOL allowAnnotate;
@property (nonatomic, assign) BOOL allowEdit;
@property (nonatomic, assign) BOOL allowExtractAccess;
@property (nonatomic, assign) BOOL allowExtract;
@property (nonatomic, weak) UIExtensionsManager *extensionsManager;

@end
