/**
 * Copyright (C) 2003-2025, Foxit Software Inc..
 * All Rights Reserved.
 *
 * http://www.foxitsoftware.com
 *
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit PDF SDK for iOS to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */

#import "OutlineViewController.h"

NS_ASSUME_NONNULL_BEGIN

@interface FSMoveOutlineViewController : OutlineViewController
@property (nonatomic, strong) NSArray<FSBookmark *> *moveBookmarks;
@property (nonatomic, strong) NSArray<NSIndexPath *> *moveIndexPaths;
@property (nonatomic, assign) int moveTreeLevel;
@property (nonatomic, strong) FSBookmark *moveBookmark;
@property (nonatomic, copy) VoidBlock moveOutlineBlock;
@end

NS_ASSUME_NONNULL_END
