/**
 * Copyright (C) 2003-2025, Foxit Software Inc..
 * All Rights Reserved.
 *
 * http://www.foxitsoftware.com
 *
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit PDF SDK for iOS to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */
#if !TARGET_OS_MACCATALYST
#import <Foundation/Foundation.h>


@interface FSLanguageContainerModel : NSObject

typedef enum {
    DOWNLOAD,
    DOWNLOADED,
    DOWNLOADING
    
} DownLoadType;

@property (nonatomic, strong) NSString *name;
@property (nonatomic, strong) NSString *languageTag;
@property (nonatomic, assign) BOOL select;
@property (nonatomic, assign) NSInteger downloadStatus;
- (instancetype)initWithAppearance:(NSString *) languageTag;
- (instancetype)initWithAppearance:(NSString *) name languageTag:(NSString *) languageTag;

+ (NSString *) getCurrentRegionalLanguage;
+ (NSString *) getLanguagesKey:(NSString *) tag;
@end

#endif


