/**
 * Copyright (C) 2003-2025, Foxit Software Inc..
 * All Rights Reserved.
 *
 * http://www.foxitsoftware.com
 *
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit PDF SDK for iOS to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */

#import "FSTableViewPopoverController.h"

NS_ASSUME_NONNULL_BEGIN
@class FSToolbarSettingsPopover;
typedef void(^FSToolbarSettingsChanged)(FSToolbarSettingsPopover *popover);
typedef void(^FSToolbarSettingsSelectedItemChanged)(FSToolbarSettingsPopover *popover);
@interface FSToolbarSettingsPopover : FSTableViewPopoverController
@property (nonatomic, weak) FSMainTopbarToolTagItem *selectedItem;
@property (nonatomic, copy) FSToolbarSettingsChanged settingsChanged;
@property (nonatomic, copy) FSToolbarSettingsSelectedItemChanged selectedItemChanged;
@property (nonatomic, copy, nullable) NSArray<FSMainTopbarToolTagItem *> *toolTagItems;
@end

NS_ASSUME_NONNULL_END
