/**
 * Copyright (C) 2003-2025, Foxit Software Inc..
 * All Rights Reserved.
 *
 * http://www.foxitsoftware.com
 *
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit PDF SDK for iOS to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */

#import "FSTableViewPopoverController.h"

NS_ASSUME_NONNULL_BEGIN

@interface FSToolsPopoverItem : FSPopoverItem
@property (nonatomic, assign) BOOL isNewItem;
@end

@interface FSToolbarSettingsPopoverFooterView : FSAdapterUIView <UIViewAdapter>
@property (nonatomic, copy) void(^onValueChange)(void);
@end

@interface FSToolsPopoverViewController : FSTableViewPopoverController

@property (nonatomic, assign) NSUInteger selectedIndex;

@end

NS_ASSUME_NONNULL_END
