/**
 * Copyright (C) 2003-2025, Foxit Software Inc..
 * All Rights Reserved.
 *
 * http://www.foxitsoftware.com
 *
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit PDF SDK for iOS to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */

#import <UIKit/UIKit.h>

@interface ViewController : UIViewController
@property (nonatomic, strong) UINavigationController *rootViewController;
@property (nonatomic, strong) FSPDFViewCtrl *pdfViewControl;
@property (nonatomic, strong) UIExtensionsManager *extensionsMgr;
#if __IPHONE_OS_VERSION_MAX_ALLOWED >= 130000
@property (nonatomic, weak) UIWindowScene *windowScene;
#endif
@end
